Subject: Re: [PATCH v5 2/4] gpio: Allow PC/104 devices on X86_64

From: Greg KH <[email-masked]>
Date: Fri, 17 Jun 2016 20:47:31 -0700

On Fri, Jun 17, 2016 at 11:39:04PM -0400, William Breathitt Gray wrote:
> On Fri, Jun 17, 2016 at 08:18:10PM -0700, Greg KH wrote:
> >On Fri, Jun 17, 2016 at 10:49:59PM -0400, William Breathitt Gray wrote:
> >> The PC/104 drivers were changed to utilize the ISA bus driver as part of
> >> the original patchset which attempted to decouple the X86_32 dependency
> >> from the ISA Kconfig option; these drivers were updated with the
> >> intention of building on X86_64 in addition to X86_32.
> >> 
> >> However, the respective patches were merged without the decoupling
> >> changes (since decoupling was the wrong approach), resulting in an
> >> unintentional regression: the PC/104 drivers are now restricted to
> >> X86_32 due to the ISA Kconfig option dependency, while they were capable
> >> of building for X86_64 in previous kernel versions.
> >> 
> >> This patchset should fix this regression by introducing the ISA_BUS_API
> >> Kconfig option, and the respective Kconfig dependency changes for the
> >> drivers, in order to allow them to build for both X86_64 and X86_32 as
> >> originally capable.
> >
> >Ah, ok, that makes more sense, thanks.  I'll go queue these up now.
> >
> >greg k-h
> 
> Greg K-H,
> 
> Please also consider picking up the following two patches which fix bugs
> discovered during the ISA bus driver utilization conversion:
> 
>   1. https://patchwork.kernel.org/patch/9046831/
>   2. https://patchwork.kernel.org/patch/9074641/
> 
> The second patch in particular fixes a kernel BUG which prevents some
> drivers that call isa_register_driver from being built-in. This was
> first reported by Sasha Levin (https://lkml.org/lkml/2016/5/11/719), and
> the patch was later tested by Ye Xiaolong
> (https://lkml.org/lkml/2016/5/31/164).

Now queued up, thanks for the prompt, they were still setting in my
queue.

greg k-h